LLVM: lldb::SBDeclaration Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBDeclaration Class Reference

`#include <SBDeclaration.h>`

## Public Member Functions
| SBDeclaration ()
| SBDeclaration (const lldb::SBDeclaration &rhs)
| ~SBDeclaration ()
const lldb::SBDeclaration & | operator= (const lldb::SBDeclaration &rhs)
bool | IsValid () const
lldb::SBFileSpec | GetFileSpec () const
uint32_t | GetLine () const
uint32_t | GetColumn () const
void | SetFileSpec (lldb::SBFileSpec filespec)
void | SetLine (uint32_t line)
void | SetColumn (uint32_t column)
bool | operator== (const lldb::SBDeclaration &rhs) const
bool | operator!= (const lldb::SBDeclaration &rhs) const
bool | GetDescription (lldb::SBStream &description)

## Protected Member Functions
lldb_private::Declaration * | get ()

## Friends
class | SBValue

## Detailed Description

Definition at line 18 of file SBDeclaration.h.

## Constructor & Destructor Documentation

lldb::SBDeclaration::SBDeclaration | ( |  | ) |

lldb::SBDeclaration::SBDeclaration | ( | const lldb::SBDeclaration & | rhs | ) |

lldb::SBDeclaration::~SBDeclaration | ( |  | ) |

## Member Function Documentation

lldb_private::Declaration* lldb::SBDeclaration::get | ( |  | ) |
| protected

uint32_t lldb::SBDeclaration::GetColumn | ( |  | ) | const

bool lldb::SBDeclaration::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBFileSpec lldb::SBDeclaration::GetFileSpec | ( |  | ) | const

uint32_t lldb::SBDeclaration::GetLine | ( |  | ) | const

bool lldb::SBDeclaration::IsValid | ( |  | ) | const

bool lldb::SBDeclaration::operator!= | ( | const lldb::SBDeclaration & | rhs | ) | const

const lldb::SBDeclaration& lldb::SBDeclaration::operator= | ( | const lldb::SBDeclaration & | rhs | ) |

bool lldb::SBDeclaration::operator== | ( | const lldb::SBDeclaration & | rhs | ) | const

void lldb::SBDeclaration::SetColumn | ( | uint32_t | column | ) |

void lldb::SBDeclaration::SetFileSpec | ( | lldb::SBFileSpec | filespec | ) |

void lldb::SBDeclaration::SetLine | ( | uint32_t | line | ) |

## Friends And Related Function Documentation

friend class SBValue
| friend

Definition at line 67 of file SBDeclaration.h.

The documentation for this class was generated from the following file:

- SBDeclaration.h